Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.smila.datamodel.xml
Class DeserializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.smila.datamodel.xml.DeserializationException

All Implemented Interfaces:
  java.io.Serializable

    public class DeserializationException

extends java.lang.Exception

The Class DatamodelDeserializationException.

See Also:
  Serialized Form

Constructor Summary
`DeserializationException()` Instantiates a new datamodel deserialization exception.
`DeserializationException(java.lang.String arg0)` Instantiates a new datamodel deserialization exception.
`DeserializationException(java.lang.String arg0, java.lang.Throwable arg1)` Instantiates a new datamodel deserialization exception.
`DeserializationException(java.lang.Throwable arg0)` Instantiates a new datamodel deserialization exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeserializationException

    public DeserializationException()

  Instantiates a new datamodel deserialization exception.

### DeserializationException

    public DeserializationException(java.lang.String arg0)

  Instantiates a new datamodel deserialization exception.

  Parameters:
    `arg0` - the arg0

### DeserializationException

    public DeserializationException(java.lang.Throwable arg0)

  Instantiates a new datamodel deserialization exception.

  Parameters:
    `arg0` - the arg0

### DeserializationException

    public DeserializationException(java.lang.String arg0,
                                    java.lang.Throwable arg1)

  Instantiates a new datamodel deserialization exception.

  Parameters:
    `arg0` - the arg0
    `arg1` - the arg1

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD